﻿@model FInalTest.Models.PlaceModels.PlaceCreateModel

@{
    ViewData["Title"] = "CreatePlace";
}

<h1>CreatePlace</h1>

<h4>PlaceCreateModel</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="CreatePlace" method="post" enctype="multipart/form-data">
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Name" class="control-label"></label>
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Description" class="control-label"></label>
                <input asp-for="Description" class="form-control" />
                <span asp-validation-for="Description" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ImageGet" class="control-label">Выбрать фото</label>
                <input asp-for="ImageGet" type="file" />
                <span asp-validation-for="ImageGet" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}